Imports System.Collections.Generic
Imports CharterDotCom.CommonEntities.Library
Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.CommonEntities.Library.EntityMemberServices
Imports CharterDotCom.CommonEntities.Library.EntityEBSServices
Imports CharterDotCom.CommonEntities.Library.EntitySupport
Imports CharterDotCom.CommonEntities.Library.EntitySearch
Imports CharterDotCom.CommonEntities.Library.EntityWebConfig
Imports CharterDotCom.CommonEntities.Library.EntityG2BServices
Imports CharterDotCom.CommonEntities.Library.Common
Imports CharterDotCom.WebSite.Library
' Imports CharterDotCom.Common.Logging

Partial Class SupportGeneral
    Inherits CharterCMSPage


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'Logger.WebLog("\UI\Customers\SupportGeneral")

        SetPageTitle("General Support")
        Dim lPageType As String = Request.QueryString("PageType")
        If Not Page.IsPostBack Then
            '#############################################################################
            'M O D I F I C A T I O N   7/10/2008     MARK SNYDER     ISSUE 4107
            '#############################################################################
            'ADDED CODE BELOW TO SET PROPERTIES ON THE USER CONTROLS THAT WERE ADDED TO THE
            'PAGE. ADDED THE LOCAL NAVIGATION, CONTACT US, CUSTOM CONTENT AND BROWSE
            'SUPPORT CONTROLS TO THE PAGE.
            '#############################################################################
            Select Case lPageType
                Case "1"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("chsss support", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Security
                    'lblTitle.Text = "Charter High-Speed Security Suite<sup>&reg;</sup>"
                    'lblTitle.Text = ""
                Case "2"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("home network support", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Internet
                    'lblTitle.Text = ""
                Case "3"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("support 1", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.MyAccount
                    ucSupportHomeResourcesHelpTools.Visible = False
                    'lblTitle.Text = ""
                Case "4"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("support 2", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Internet
                    'lblTitle.Text = ""
                Case "5"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("cssadvsettings", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Security
                    'lblTitle.Text = ""
                Case "6"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("cssantivirus", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Security
                    'lblTitle.Text = ""
                Case "7"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("cssautoupdates", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Security
                    'lblTitle.Text = ""
                Case "8"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("cssvirusscan", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Security
                    'lblTitle.Text = ""
                Case "9"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("cssinstallation", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Security
                    'lblTitle.Text = ""
                Case "10"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("cssshield", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Security
                    'lblTitle.Text = ""
                Case "11"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("cssuninstall", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Security
                    'lblTitle.Text = ""
                Case "12"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("cssparentcontrol", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Security
                    'lblTitle.Text = ""
                Case "13"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("cssprint_fileshare", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Security
                    'lblTitle.Text = ""
                Case "14"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("cssspam", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Security
                    'lblTitle.Text = ""
                Case "15"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("support_leftmenu1", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Security
                    'lblTitle.Text = ""
                Case "16"
                    ltrContentBody.Text = ContentManager.Instance.GetContent("support_leftmenu2", 1, OwnerType.Other)
                    ucBrowseSupport.Productategory = MenuItem.Internet
                    'lblTitle.Text = ""
            End Select
        End If

        Me.ucSupportHomeResourcesHelpTools.ContentKey = "Support:Home:ResourcesHelpTools:SYCH"

    End Sub

End Class
